%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Screen capture tool for Xfce
Name:		xfce4-screenshooter
Version:	1.7.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-screenshooter
Source0:	http://archive.xfce.org/src/apps/xfce4-screenshooter/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	libcurl-devel
BuildRequires:	libsoup-devel
Obsoletes:	xfce-screenshooter-plugin
Obsoletes:	xfce4-screenshooter-plugin < 1.4.90.0
Provides:	xfce4-screenshooter-plugin
Requires:	xfce4-panel >= 4.4.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This application allows you to capture the entire screen, 
the active window or a selected region. You can set the delay 
that elapses before the screenshot is taken and the action that 
will be done with the screenshot: save it to a PNG file, copy 
it to the clipboard, or open it using another application.
 
A plugin for the Xfce panel is also available.
 
%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/applications/xfce4-screenshooter.desktop
%{_iconsdir}/hicolor/*/apps/*.*g
%{_mandir}/man1/*
%{_datadir}/xfce4/doc/*/images/*.png
%{_datadir}/xfce4/doc/*/*.html


%changelog
* Tue Feb 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.9-1mdv2010.1
+ Revision: 503431
- update to new version 1.7.9

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 385920
- update to new version 1.6.0
- add buildrequires on libcurl-devel and libxmlrpc-c-devel to enable ZimageZ support

* Wed Feb 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 344753
- update to new version 1.5.1

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 331021
- fix file list
- update to new version 1.5.0

* Fri Jan 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.90.0-1mdv2009.1
+ Revision: 323345
- update to new version 1.4.90.0
- add provides/obsoletes on old name
- upstream has changed name

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 303602
- update to new version 1.4.0

* Fri Nov 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.3-1mdv2009.1
+ Revision: 303339
- update to new version 1.3.9.3

* Thu Nov 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.2-1mdv2009.1
+ Revision: 302802
- update to new version 1.3.9.2

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.1-1mdv2009.1
+ Revision: 302305
- update to new version 1.3.9.1

* Wed Nov 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.0-1mdv2009.1
+ Revision: 300085
- fix file list
- update to new version 1.3.9.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-2mdv2009.1
+ Revision: 295007
- rebuild for new Xfce4.6 beta1

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-1mdv2009.0
+ Revision: 275612
- update to new version 1.3.2

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 237849
- update to new version 1.3.1

* Sun Jun 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 230090
- fix file list
- update to new version 1.2.0
- update url and description
- update to new version 1.1.0
- drop both patches
- fix file list

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2009.0
+ Revision: 194676
- Patch0: fix filename generation
- Patch1: do not save file when cancel button has been pressed
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 110131
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-5mdv2008.0
+ Revision: 33254
- spec file clean

